Skip to main content
PATCH
/
v2
/
matchlists
/
{matchlistName}
/
entries
/
removeEntity
Remove an individual entity matchlist
curl --request PATCH \
  --url https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries/removeEntity \
  --header 'Content-Type: application/json' \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>' \
  --data '
{
  "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "entityType": "INDIVIDUAL",
  "comment": {
    "text": "Update after speaking to customer over the phone directly.",
    "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "entityType": "INDIVIDUAL"
  }
}
'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "matchlistId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "state": "ACTIVE"
}

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Background
enum<integer>

If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.

Available options:
0,
1
X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Path Parameters

matchlistName
string
required

The name of the matchlist.

Body

application/json

Used for removing an entity from a matchlist.

entityId
string
required

The entity ID of the entity from which the entry to be marked as deleted was derived.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

entityType
enum<string>

The entity type of the entity from which the attributes of this entry will be derived.

Available options:
INDIVIDUAL,
ORGANIZATION,
UNKNOWN
comment
object

Response

OK

requestId
string

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

entityId
string

Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

matchlistId
string<uuid>

Matchlists are assigned an auto-generated UUID to ensure global uniqueness, represented as matchlistId. The matchlistId allows for precise modification when required. To create or modify a matchlist entry, set the matchlistId of the matchlist you wish to update in a matchlist entry request.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

state
enum<string>
default:ACTIVE

The state of the matchlist entry.

  • ACTIVE: The matchlist entry is active and can be used for matching.
  • EXPIRED: The matchlist entry has expired. It is visible and retrievable, but cannot be used for matching.
  • DELETED: The matchlist entry has been marked as deleted, rendering it unusable.

To modify an entry's state, use Matchlist-Entry-State-Writeable.

Available options:
ACTIVE,
EXPIRED,
DELETED